<?php

/**
 * @file Utils.php
 * 
 * @author Matthieu DELOISON
 * @since 10 Juillet 2007
 * 
 * @version 0.1
 */

 

class Utils 
{
	
	// ---------------------------------- __construct() ----------------------------------------------------------
   /**
	* @brief 
	* @param -
	*/
	private function __construct()
	{

	}



	
	// -----------------------------------------------------------------------------------------------------------
	// ------------------------------------------- PUBLIC FUNCTIONS  ---------------------------------------------
	// -----------------------------------------------------------------------------------------------------------
	



	
	// ---------------------------------------- getDateFr() ----------------------------------------------------	
	/**			
		formats of the date :
			$i_format = 1		: 01 Janvier 2006
			$i_format = 2		: 01-01-2006
			$i_format = 3		: Janvier 2006
			$i_format = 4		: 2006
			$i_format = 7		: 01/01/2006
			$i_format = NULL	: 01-01-2006
			
		les diffrents formats de l'heure retourne :
			$i_time = NULL		: H:i:s
			$i_time = 1			: Hhi (10h12)

	 * @brief Convert DATETIME MySQL in fr.
	 * @param (string) DATETIME MYSQL.
	 * @param (integer)	date format.
	 * @param (integer)	hour format.
	 * @return (array) array. $a_convertDate["date"] = $s_date; -- $a_convertDate["time"] = $i_time;
	 */
	public static function getDateFr($s_dateTime, $i_format, $i_time=-1) 
	{
		$a_convertDate = array();
		$month="";
		$s_date = "";
		
		$s_year	 		= substr($s_dateTime,0,4);
		$s_month_given	= substr($s_dateTime,5,2);
		$s_day_given	= substr($s_dateTime,8,2);
	
		if ($i_format == 1 or $i_format == 3)
		{
			switch($s_month_given)
			{
				 case "01" : $month="Janvier";break;
				 case "02" : $month="Fvrier";break;
				 case "03" : $month="Mars";break;
				 case "04" : $month="Avril";break;
				 case "05" : $month="Mai";break;
				 case "06" : $month="Juin";break;
				 case "07" : $month="Juillet";break;
				 case "08" : $month="Aot";break;
				 case "09" : $month="Septembre";break;
				 case "10" : $month="Octobre";break;
				 case "11" : $month="Novembre";break;
				 case "12" : $month="Dcembre";break;
			}
			
			if ($i_format == 1) $s_date = "$s_day_given $month $s_year";
			if ($i_format == 3) $s_date = $month." ".$s_year;
		}
	
	   if ($i_format == 2)   $s_date = $s_day_given."-".$s_month_given."-".$s_year;
		
	   if ($i_format == 4)   $s_date = $s_year;
		
	   /* date in number */
	   if ($i_format == "7")   {$s_date = $s_day_given."/".$s_month_given."/".$s_year;}
	   if ($i_format == "")    {$s_date = $s_day_given."-".$s_month_given."-".$s_year;}
	
		$a_convertDate["date"] = $s_date;
		
		/* give the hours */
		$s_heure = substr($s_dateTime,11,2);
		$s_minute = substr($s_dateTime,14,2);
		$s_seconde = substr($s_dateTime,17,2);
		
		if( $i_time==1 )
			$a_convertDate["time"] = $s_heure."h".$s_minute; // Hhi
		else
			$a_convertDate["time"] = substr($s_dateTime,11,8); // H:i:s
		
		return $a_convertDate;
	   
	}
	
	
	// -----------------------------------------------------------------------------------------------------------
	// ----------------------------------------- Others ----------------------------------------------------------
	// -----------------------------------------------------------------------------------------------------------


 	/**
	* @brief
	*
	* @return 
	*/
	public function __destruct() 
	{
 
 	}
	
	
	
	// ---------------------------------------- __toString() ----------------------------------------------------	
	/**
	 * @brief Returns the string representation of this instance.
	 * @usage   echo(myObject) ou print(myObject)
	 * @return  the string representation of this instance.
	 */	
	public function __toString() 
	{
		$s_classContent = "[Object ".__CLASS__."]<br />";

		foreach($this as $prop => $value) 
		{
		 	$s_classContent .= "$prop => $value <br />";
		}
		 
		return $s_classContent;
   	}
	
	
}
?>